<section id="regestration">
  <div class="container-fluid">
    <form class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularForm" #usersForm="ngForm" novalidate
      appCheckPassword>
      <div class="card">
        <div class="card-header">
          <h4 class="form-section">
            <i class="ft-user-plus"> </i>
            Medical Register
          </h4>
        </div>
        <div class="card-block">
          <div class="card-body">
            <div class="form-body">
              <div class="row">
                <div class="form-group col-4">
                  <label class="" for="name">Name</label>
                  <input hidden id="block" value=true name="block" formControlName="block">
                  <input hidden id="med" value=true name="med" formControlName="med">
                  <input type="text" id="name" placeholder="Name" class="form-control" maxlength="30"
                    formControlName="name" required>
                  <input type="text" hidden formControlName="action">
                </div>
                <div class="form-group col-4">
                  <label class="" for="lastName">Lastname</label>
                  <input type="text" id="lastName" placeholder="Lastname" class="form-control" maxlength="30"
                    formControlName="lastName" required>
                </div>
                <div class="form-group col-2">
                  <label class="" for="typeDocument">Type</label>
                  <select formControlName="typeDocument" class="form-control" id="type" required>
                    <option *ngFor="let x of typeDocument" [value]="x.type">{{x.type}}</option>
                  </select>
                </div>
                <div class="form-group col-2">
                  <label class="" for="documentNumber">Document</label>
                  <input type="text" id="documentNumber" placeholder="1234567" class="form-control" maxlength="10"
                    formControlName="documentNumber" required>
                </div>
              </div>
              <div class="row">
                <div class="form-group col-4">
                  <label class="" for="phone">Phone</label>
                  <input type="text" class="form-control" id="phone" maxlength="11" placeholder="04281010010"
                    formControlName="phone" required>
                </div>
                <div class="form-group col-4">
                  <label class="" for="direction">Direction</label>
                  <input type="input" name="" id="direction" placeholder="AV Ramon Antonio" class="form-control"
                    maxlength="50" formControlName="direction" required>
                </div>
                <div class="form-group col-4">
                  <label class="" for="user">User Name</label>
                  <input type="text" id="user" placeholder="DOC123" class="form-control" maxlength="35"
                    formControlName="user" required>
                </div>
              </div>
              <div class="row">
                <div class="form-group col-4">
                  <label class="" for="email">Email</label>
                  <input type="email" class="form-control" name="email" id="email" placeholder="Email"
                    formControlName="email" required>
                </div>
                <div class="form-group col-4">
                  <label class="" for="passwordA">Password</label>
                  <input id="passwordA" type="password" name="passwordA" class="form-control" placeholder="Password"
                    formControlName="passwordA" required maxlength="16">
                </div>
                <div class="form-group col-4">
                  <label class="" for="passwordB">Repeat password</label>
                  <input id="passwordB" type="password" name="passwordB" class="form-control"
                    placeholder="Repeat password" formControlName="passwordB" maxlength="16" required>
                </div>
              </div>
              <div class="row">
                <div class="form-group col-4">
                  <label class="" for="question">Secret question</label>
                  <input type="text" id="question" name="question" type="text" class="form-control"
                    placeholder="Question" formControlName="question" required>
                </div>
                <div class="form-group col-4">
                  <label class="" for="answer">Answer of the secret question</label>
                  <input type="text" id="answer" name="answer" type="text" class="form-control" placeholder="Answer"
                    formControlName="answer" required>
                </div>
                <div class="form-group col-4">
                  <label class="" for="specialism">Select medical specialties</label>
                  <select id="specialism" formControlName="specialism" class="form-control" required multiple>
                    <option type="checkbox" class="" *ngFor="let x of specialism" [ngValue]="x">{{x.spec}}</option>
                  </select>
                  <label class="" for="specialism">Press the Ctrl + click on each specialty</label>
                </div>
                <div class="form-group col-4" style="position: absolute; top:80%">
                  <re-captcha formControlName='captcha' required siteKey="6LcD_kwUAAAAAK8pRcF7faBj4LH01vag_ShX887p">
                  </re-captcha>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="card-block">
        <div class="row">
          <div class="col-6">
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('name').valid && (regularForm.get('name').dirty || regularForm.get('name').touched)">-Name
              is requiered.</small>
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('lastName').valid && (regularForm.get('lastName').dirty || regularForm.get('lastName').touched)">-Lastname
              is required.</small>
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('typeDocument').valid && (regularForm.get('typeDocument').dirty || regularForm.get('typeDocument').touched)">-Select
              one type of document.</small>
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('documentNumber').valid && (regularForm.get('documentNumber').dirty || regularForm.get('documentNumber').touched)">-Insert
              number of document.</small>
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('specialism').valid && (regularForm.get('specialism').dirty || regularForm.get('specialism').touched)">-Select
              medical specialty.</small>
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('phone').valid && (regularForm.get('phone').dirty || regularForm.get('phone').touched)">-Insert
              phone number</small>
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('direction').valid && (regularForm.get('direction').dirty || regularForm.get('direction').touched)">-Direction
              is required.</small>
          </div>
          <div class="col-6">
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('user').valid && (regularForm.get('user').dirty || regularForm.get('user').touched)">-the
              name must be greater than 4 characters.</small>
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('email').valid && (regularForm.get('email').dirty || regularForm.get('email').touched)">-Email
              is required.</small>
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('passwordA').valid && (regularForm.get('passwordA').dirty || regularForm.get('passwordA').touched)">-A
              password of more than 8 characters is required and must include at least one capital letter and one
              special character *@$%&</small>
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('question').valid && (regularForm.get('question').dirty || regularForm.get('question').touched)">-Question
              is required.</small>
            <small class="form-text text-muted danger"
              *ngIf="!regularForm.get('answer').valid && (regularForm.get('answer').dirty || regularForm.get('answer').touched)">-Answer
              is required.</small>
            <small class="form-text text-muted danger"
              *ngIf="regularForm.get('passwordB').invalid && (regularForm.get('passwordA').dirty || regularForm.get('passwordA').touched)">
              - Repeat password.
            </small>
            <small class="form-text text-muted danger"
              *ngIf="regularForm.errors?.passwordCheck && (regularForm.get('passwordB').dirty || regularForm.get('passwordB').touched)">
              -Password do not match.
            </small>
          </div>
        </div>
      </div>
      <div class="card">
        <br>
        <div class="form-action text-center">
          <button [disabled]="!this.regularForm.valid" type="button" (click)="addUser(usersForm)"
            class="btn btn-outline-success btn-raised">Register</button>
          <button (click)="resetForm(usersForm)" type="button"
            class="btn btn-outline-danger btn-raised">Clean</button>
        </div>
        <div class="card-footer">
          <div class="float-left">
            <a class="success" routerLink="/start">Start session</a>
          </div>
          <div class="float-right warning">Did you forget your password?:
            <a class="primary" routerLink="/forgot-pass">Recover your account</a>
          </div>
        </div>
      </div>
    </form>
  </div>
</section>
